> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

## Request

#### Query

<ParamField query="type" type="string" default="OVERVIEW">
  List type to fetch - type can be either `STATIC`, `SMART` or `OVERVIEW` which will return both static and smart lists
</ParamField>

<ParamField query="limit" type="number" default="4">
  Number of items to return per page. (max 500)
</ParamField>

<ParamField query="offset" type="number" default="0">
  Number of items to skip
</ParamField>

## Response

The following fields can have a set of values:

<ResponseField name="type" type="string">
  type can be either `STATIC` or `SMART`
</ResponseField>

<ResponseField name="newResults" type="number | null">
  For **smart lists**, it returns a number indicating the count of new results based on the applied filters. <br />
  For **static lists**, it is always set to `null`.
</ResponseField>

<ResponseField name="notifications" type="object">
  Notifications can only be enabled for **static lists** at this time.
</ResponseField>

<ResponseExample>
  ```json Response - 200 theme={null}
  {
      "data": [
          {
              "id": 1357924680,
              "name": "Example List One",
              "type": "STATIC",
              "columns": [
                  "activities",
                  "vatNumber",
                  "country",
                  "url",
                  "socials"
              ],
              "shared": false,
              "notifications": {
                  "enabled": true
              },
              "amountOfCompanies": 15,
              "newResults": null,
              "updatedAt": "2024-11-18T10:30:00.000Z",
              "createdAt": "2024-10-20T08:45:00.000Z",
              "createdBy": "jane.doe@example.com"
          },
          {
              "id": 246813579,
              "name": "Shared List",
              "type": "SMART",
              "columns": [
                  "description"
              ],
              "shared": true,
              "notifications": {
                  "enabled": false
              },
              "amountOfCompanies": 500,
              "newResults": 25,
              "updatedAt": "2024-11-19T12:00:00.000Z",
              "createdAt": "2024-10-05T11:30:10.000Z",
              "createdBy": "john.smith@example.com"
          },
          {
              "id": 1123581321,
              "name": "Static List A",
              "type": "STATIC",
              "columns": ["description"],
              "shared": false,
              "notifications": {
                  "enabled": false
              },
              "amountOfCompanies": 8,
              "newResults": null,
              "updatedAt": "2024-11-16T18:15:19.000Z",
              "createdAt": "2024-09-25T14:10:00.000Z",
              "createdBy": "alex.brown@example.com"
          },
          {
              "id": 9988776655,
              "name": "Updated AI Filters",
              "type": "SMART",
              "columns": [
                  "description"
              ],
              "shared": false,
              "notifications": {
                  "enabled": false
              },
              "amountOfCompanies": 120,
              "newResults": 10,
              "updatedAt": "2024-11-19T07:45:00.000Z",
              "createdAt": "2024-10-10T10:20:10.000Z",
              "createdBy": "lisa.white@example.com"
          }
      ],
      "pagination": {
          "limit": 4,
          "offset": 0,
          "total": 50
      }
  }
  ```
</ResponseExample>
